Name:           TTFQuery
Version:        1.0.1
Release:        1%{?dist}
Summary:        Query the system to find installed fonts

Group:          Development/Libraries
License:        MIT
URL:            http://ttfquery.sourceforge.net/
Source0:        http://sourceforge.net/projects/ttfquery/files/ttfquery/%{version}/TTFQuery-%{version}.tar.gz

BuildRequires:  python-setuptools
Requires:       fonttools

Buildarch:      noarch

%description
TTFQuery builds on the FontTools package to allow the Python programmer
to accomplish a number of tasks:

    * query the system to find installed fonts
    * retrieve metadata about any TTF font file
      (even those not yet installed)
        o abstract family type
        o proper font name
        o glyph outlines
    * build simple metadata registries for run-time font matching


%prep
%setup -q
# create own egg in build section
rm -r *.egg-info
# remove shebangs
for lib in *.py; do
    sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/* license.txt
%{python_sitelib}/ttfquery/
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info/



%changelog
* Tue Dec 28 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.0.1-1
- inital packaging
